Subject: Re: [PATCH V3] powerpc/irq: Enable some more exceptions in /proc/interrupts interface

From: Anshuman Khandual <[email-masked]>
Date: Tue, 21 Jul 2015 13:43:04 +0530

On 07/13/2015 01:46 PM, Anshuman Khandual wrote:
> This patch enables facility unavailable exceptions for generic facility,
> FPU, ALTIVEC and VSX in /proc/interrupts listing by incrementing their
> newly added IRQ statistical counters as and when these exceptions happen.
> This also adds couple of helper functions which will be called from within
> the interrupt handler context to update their statistics. Similarly this
> patch also enables alignment and program check exceptions as well.
> 
> 	With this patch being applied, /proc/interrupts looks something
> like this after running various workloads which create these exceptions.
> 
> --------------------------------------------------------------
>            CPU0       CPU1
>  16:       5734      24129      XICS   2 Level     IPI
>  17:          0          0      XICS 4101 Level     virtio0
>  18:          0          0      XICS 4100 Level     ohci_hcd:usb1
>  19:      13920          0      XICS 4099 Level     virtio1
>  20:          0          0      XICS 4096 Level     RAS_EPOW
>  21:       6160       3241      XICS 4102 Level     ibmvscsi
>  22:          1          0      XICS 4103 Level     hvc_console
> LOC:       6825       3556   Local timer interrupts for timer event device
> LOC:         22         41   Local timer interrupts for others
> SPU:          1          0   Spurious interrupts
> PMI:          0          0   Performance monitoring interrupts
> MCE:          0          0   Machine check exceptions
> DBL:          0          0   Doorbell interrupts
> ALN:          0          0   Alignment exceptions
> PRG:          0          0   Program check exceptions
> FAC:          7         14   Facility unavailable exceptions
> FPU:       2928       3162   FPU unavailable exceptions
> ALT:      12950      15536   AltiVec unavailable exceptions
> VSX:      12930     220183   VSX unavailable exceptions
> --------------------------------------------------------------
> 
> Signed-off-by: Anshuman Khandual <[email-masked]>
> ---
> Changes in V3:
> - Changed the display string from "ALTIVEC" to "AltiVec"
> - Now captured "Facility unavailable exceptions" in the example

Michael/Mikey,

I had already posted the performance comparison details with the
patch in the previous version mail thread. Does this new version
look good enough ?